Description

Hello,

the GTK UI of audacious-3.4.3a-win32 and audacious-3.5-alpha1-win32 is using a wrong font by default.

Why wrong? Because it's not the native Windows UI font.

The native Windows UI Font is "Segoe UI" @ 9pt.

I was able to fix this issue by editing /etc/gtk-3.0/settings.ini to look like this:

[Settings]

gtk-icon-theme-name = gnome

gtk-font-name = Segoe UI 9

This makes Audacious use the correct font inside the GTK UI, which looks a heck of a lot better / more native.    

Therefore i suggest to add this line to future releases of Audacious Win32 or, if possible, to fix the actual root cause of this issue.

PS:

Before you say "But the native UI font in Windows XP is "Tahoma" @ 8pt":

In just a few days, Windows XP will be EOL, at least AFAIK. And the native UI font in all Windows releases after Windows XP is

"Segoe UI" @ 9pt.

Regards

History

#1 - March 09, 2014 04:19 - John Lindgren

Not really a complete fix.  Changing gtk-font-name won't change the font used in the info bar nor those used in the Winamp interface.  Whatever

Pango considers a good alternative for "Sans" (which turns out to be Tahoma, I guess) will still be used in those places.

#2 - March 09, 2014 04:27 - John Lindgren

Okay, I partially misspoke.  The info bar will follow gtk-font-name.

#3 - March 09, 2014 04:30 - John Lindgren

So I might go ahead and change this in the next build.  But before I do that, might I interest you in some good ol' 8-point MS Sans Serif?  ;)

#4 - March 09, 2014 13:59 - Thomas Lange

gtk-auto-mnemonics = 1

should be also added to show the "_" mnemonics only when ALT is pressed.
#5 - March 09, 2014 19:17 - Q. P.

"John Lindgren wrote:

[...]

might I interest you in some good ol' 8-point MS Sans Serif? ;)

[...]"

Could you please elaborate? What do you mean with that?

Regards

#6 - March 10, 2014 23:51 - John Lindgren

Q. P. wrote:

Could you please elaborate? What do you mean with that?

 

It was a joke, sorry if that was not clear.  MS Sans Serif was the default font used in Windows 95 and 98.

#7 - March 25, 2014 18:59 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.5

- % Done changed from 0 to 100

- Affects version 3.5-alpha1 added

Added a settings.ini file with the recommended changes to the repository.
